# GetItemParameter

Retrieve a single item parameter

`GET /api/v2/companies/{companyId}/items/{itemId}/parameters/{id}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/GetItemParameter/

## Description

Retrieve a single item parameter.
            
Some items can be taxed differently depending on the properties of that item, such as the item grade or by a particular measurement of that item. In AvaTax, these tax-affecting properties are called "parameters".
            
A parameter added to an item will be used by default in tax calculation but will not show on the transaction line referencing the item .
            
A parameter specified on a transaction line will override an item parameter if they share the same parameter name.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The company id |
| `itemId` | integer | path | Yes | The item id |
| `id` | integer | path | Yes | The parameter id |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemParameterModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ItemParameterModel`

Represents a parameter associated with an item.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The id of the parameter. Example: `0`. |
| `name` | string | **Yes** | The parameter's name. Example: `ScreenSize`. |
| `value` | string | **Yes** | The value for the parameter. Example: `24`. |
| `unit` | string | No | The unit of measurement code for the parameter. Example: `inch`. |
| `itemId` | integer | No | The item id |
| `isNeededForCalculation` | boolean | No | This field identifies if parameter is needed for calculation |
| `isNeededForReturns` | boolean | No | This field identifies if parameter is needed for returns |
| `isNeededForClassification` | boolean | No | This field identifies if parameter is needed for classification |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/parameters/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```